Subject: Re: bug#8184: 23.1.90; `menu-bar-non-minibuffer-window-p' error in calls to `kill-this-buffer'

From: martin rudalics <[email-masked]>
Date: Mon, 07 Mar 2011 09:07:58 +0100

> It'd also be good to add a comment
 > explaining why we do this loop searching for some non-temp buffer.

Indeed, calling (other-buffer nil t) should be sufficient.

 > IIUC this function is used to check whether kill-this-buffer can do its
 > job, and if (menu-bar-non-minibuffer-window-p) is nil, then we use
 > abort-recursive-edit, so we need to check if abort-recursive-edit can be
 > used, which seems related to minibuffer-depth rather than to
 > non-temp buffers.

To `minibuffer-depth' and `active-minibuffer-window', I suppose.  Still
wondering whether tth is able to trigger his behavior from the menu bar
entry.

martin